{flake, ...}: let
  inherit
    (flake.config.aesthetics.themes.schemes.catppuccin-macchiato)
    colours
    ;

  inherit
    (flake.config.aesthetics.themes)
    currentTheme
    currentColours
    schemes
    font
    ;

  cc = currentColours;

  theme = colour: schemes.${currentTheme}.colours.${colour};

  custom = {
    font = font;
    font_size = "12px";
    font_weight = "bold";
    text_color = theme cc.warmAccent2;
    secondary_accent = theme cc.coolAccent4;
    tertiary_accent = theme cc.coolAccent1;
    button_color = theme cc.overlay2;
    background_1 = colours.base;
    background_2 = colours.crust;
    background_3 = colours.surface2;
    opacityBg = "0.90";
    opacityBt = "1";
  };
in ''

    * {
        min-height: 0px;
        font-family: ${custom.font};
        font-weight: ${custom.font_weight};
    }

    window#waybar {
        background: #${custom.background_2};
        color: #${custom.background_3};
        border: 2px solid;
        border-radius: 30px;
        border-color: #${custom.text_color};
        min-height: 100px;
        opacity: ${custom.opacityBg};
  }

    #workspaces {
        font-size: 18px;
        padding-left: 15px;
        margin-bottom: 2px;
    }
    #workspaces button {
        color: #${custom.button_color};
        padding: 5px;
        opacity: ${custom.opacityBt};
    }
    #workspaces button.empty {
        color: #${custom.background_3};
    }
    #workspaces button.active {
        color: #${custom.text_color};
    }

    #tray, #pulseaudio, #privacy, #cpu, #memory, #disk, #clock {
        font-size: ${custom.font_size};
        color: #${custom.text_color};
        padding-right: 10px;
    }

    #privacy {
    }

    #cpu {
    }

    #memory {
    }

    #disk {
    }

    #tray {
    }

    #pulseaudio {
    }

    #clock {
    }

    #custom-launcher {
        font-size: 20px;
        color: #${custom.text_color};
        font-weight: ${custom.font_weight};
        padding-left: 10px;
    }

    #custom-weather {
        font-size: 14px;
        color: #${custom.text_color};
        font-weight: ${custom.font_weight};
    }
''
